<?php

use Battles\Template, Battles\User;

require_once('functions.php');
if (User::getInstance()->getRoom() == 51) {
    header('location: city.php');
    exit;
}
$forest = db::c()->query('SELECT `id`, `room`, `room_id`, `time`, `user`, `data` FROM `forest` WHERE `user` = ?i', $user['id'])->fetch_assoc();
$error = '';
$map_page = '';

if (empty($forest['id'])) {
    exit('Ошибка. Сообщите Администрации. Код ошибки : 00.');
}

function loadmap_cell()
{
    global $forest;
    $dat = unserialize($forest['data']);
    return ['Up' => $dat[$forest['room']]['Up'], 'Down' => $dat[$forest['room']]['Down'], 'Left' => $dat[$forest['room']]['Left'], 'Right' => $dat[$forest['room']]['Right']];
}

$map_user = loadmap_cell();

if ($_GET['exit_forest'] == 'true') {
    if ($forest['room']) {
        #getInstance::c()->query('DELETE FROM `forest_bots` WHERE `user` = ?i AND `group` = ?i', $user['id'], $forest['id']);
        #getInstance::c()->query('DELETE FROM `forest_items` WHERE `user` = ?i AND `group` = ?i', $user['id'], $forest['id']);
        db::c()->query('UPDATE `users`,`online` SET `users`.`room` = 51, `online`.`room` = 51 WHERE `online`.`id` = `users`.`id` AND `online`.`id` = ?i', $user['id']);
        db::c()->query('DELETE FROM `forest` WHERE `user` = ?i', $user['id']);
        unset($forest);
    } else {
        $error = 'Выхода тут нет ...';
    }
}

echo $map_user['Down'] . ' = ' . $map_user['Right'];

if ($_GET['move'] == 'true') {
    if ($_GET['Dir'] == 'Up') {
        if ($map_user['Up'] == 1) {
            $forest['room'] = 'cell_' . ($forest['room_id'] - 5);
            $forest['room_id'] = $forest['room_id'] - 5;
        } else {
            $error = 'Ошибка. Сообщите Администрации. Код ошибки : 01.';
        }
    } elseif ($_GET['Dir'] == 'Down') {
        if ($map_user['Down'] == 1) {
            $forest['room'] = 'cell_' . ($forest['room_id'] + 5);
            $forest['room_id'] = $forest['room_id'] + 5;
        } else {
            $error = 'Ошибка. Сообщите Администрации. Код ошибки : 02.';
        }
    } elseif ($_GET['Dir'] == 'Left') {
        if ($map_user['Left'] == 1) {
            $forest['room'] = 'cell_' . ($forest['room_id'] - 1);
            $forest['room_id'] = $forest['room_id'] - 1;
        } else {
            $error = 'Ошибка. Сообщите Администрации. Код ошибки : 03.';
        }
    } elseif ($_GET['Dir'] == 'Right') {
        if ($map_user['Right'] == 1) {
            $forest['room'] = 'cell_' . ($forest['room_id'] + 1);
            $forest['room_id'] = $forest['room_id'] + 1;
        } else {
            $error = 'Ошибка. Сообщите Администрации. Код ошибки : 04.';
        }
    } else {
        $error = 'Not in this life';
    }
    if (empty($error)) {
        db::c()->query('UPDATE `forest` SET `room` = "?s", `room_id` = ?i WHERE `id` = ?i', $forest['room'], $forest['room_id'], $forest['id']);
    }
}
if ($map_user['Right'] == 1) {
    $map_page = <<<MAP
<img style="position: absolute; bottom: 30px; left: 740px; cursor: pointer; width: 20px; height: 117px;"
     class="pngimg" src="i/forest/pointer_2.png" title="{$var_map['cell_' . ($forest['room_id'] + 1)]}"
                 onclick="location.href='?move=true&Dir=Right';" alt="Вправо">
MAP;
}
if ($map_user['Left'] == 1) {
    $map_page = <<<MAP
<img style="position: absolute; bottom: 30px; left: 20px; cursor: pointer; width: 20px; height: 117px; "
     class="pngimg" src="i/forest/pointer_6.png" title="{$var_map['cell_' . ($forest['room_id'] - 1)]}"
                 onclick="location.href='?move=true&Dir=Left';" alt="Влево">
MAP;
}
if ($map_user['Down'] == 1) {
    $map_page = <<<MAP
<img style="position: absolute; bottom: 10px; left: 332px; cursor: pointer; width: 117px; height: 20px;"
     class="pngimg" src="i/forest/pointer_4.png" title="{$var_map['cell_' . ($forest['room_id'] + 5)]}"
                 onclick="location.href='?move=true&Dir=Down';" alt="Вниз">
MAP;
}
if ($map_user['Up'] == 1) {
    $map_page = <<<MAP
<img style="position: absolute; bottom: 30px; left: 740px; cursor: pointer; width: 117px; height: 20px;"
     class="pngimg" src="i/forest/pointer_8.png" title="{$var_map['cell_' . ($forest['room_id'] + 5)]}"
                 onclick="location.href='?move=true&Dir=Up';" alt="Вверх">
MAP;
}
Template::header('forest');
?>
    <link rel="stylesheet" type="text/css" href="css/hostel.css"/>
    <style>
        .bt {
            border: solid 1px #b0b0b0;
            margin-top: 1px;
            margin-bottom: 2px;
            font-size: 11px;
            color: #191970;
            float: right;
            margin-right: 18px;
        }
    </style>
<div id="ajaxContainer" style="display: none;"></div>
<div class="contentContainer">
    <div class="buttonContainer">
        <input type="button" class="bt" value="Обновить" onclick="location.href='c_forest.php';"/>
        <input type="button" class="bt" value="Выйти из лесу" onclick="location.href='c_forest.php?exit_forest=true';"/>
        <div style="float: left;padding-left: 50px;">
            <span id="hpKey_378332" class="hpContainer hpContainer-g">
                <img src="/i/herz.gif" width="10" height="10" alt="Уровень жизни"/>
                <img src="/i/1green.gif" width="122" height="10" alt="Уровень жизни"/>
                <img src="/i/1silver.gif" width="0" height="10" alt="уровень жизни"/>: 300/300
            </span>
        </div>
    </div>
    <div id="systemMsg" class="system-msg">
        <?php if (!empty($error)): ?>
            <b style='color: Red;'>' . $error . '</b>
        <?php endif; ?>
    </div>
    <div style="position: relative; width: 780px; height: 350px; background-image: url('forest/<?= $forest['room'] ?>.jpg');">
        <?= $map_page ?>
    </div>
</div>